Random Password Generation
Overview
Postman Collection
Okta Privileged Access
Active Directory Accounts
Active Directory Connections
Attributes
Clients
Database Accounts
Database Connections
Gateways
Groups
Infrastructure Orchestrators
MFA Approvals
Okta Universal Directory Accounts
Projects
Access Reports
Resource groups
SaaS Application Accounts
Secrets
Security Policy
Server Accounts
Servers
Service Users
Staged Service Accounts
Sudo Commands
Teams
Users
Workload Connections
Workload Roles
/v1/gateways/orchestrator-config
/v1/teams/{team_name}/active_directory/{ad_connection_id}/accounts/{ad_account_id}/credentials/versions
/v1/teams/{team_name}/connections/databases
/v1/teams/{team_name}/connections/databases/{database_connection_id}
/v1/teams/{team_name}/connections/databases/{database_connection_id}/accounts
/v1/teams/{team_name}/connections/databases/{database_connection_id}/accounts/{database_account_id}
/v1/teams/{team_name}/connections/databases/{database_connection_id}/force_sync
/v1/teams/{team_name}/connections/databases/{database_connection_id}/rules
/v1/teams/{team_name}/connections/databases/{database_connection_id}/rules/{database_account_rule_id}
/v1/teams/{team_name}/connections/databases/{database_connection_id}/sync_status
/v1/teams/{team_name}/connections/saas_apps
/v1/teams/{team_name}/connections/saas_apps/{saas_app_instance_id}
/v1/teams/{team_name}/databases
/v1/teams/{team_name}/databases/{database_connection_id}
/v1/teams/{team_name}/databases/{database_connection_id}/accounts
/v1/teams/{team_name}/databases/{database_connection_id}/accounts/{database_account_id}
/v1/teams/{team_name}/databases/{database_connection_id}/accounts/{database_account_id}/reveal_credentials
/v1/teams/{team_name}/databases/{database_connection_id}/accounts/{database_account_id}/user_access_methods
/v1/teams/{team_name}/infrastructure-orchestrators
/v1/teams/{team_name}/infrastructure-orchestrators/{infrastructure_orchestrator_id}
/v1/teams/{team_name}/infrastructure-orchestrators/{infrastructure_orchestrator_id}/references/gateways
/v1/teams/{team_name}/infrastructure-orchestrators/{infrastructure_orchestrator_id}/references/integrations
/v1/teams/{team_name}/okta_universal_directory_accounts/{okta_universal_directory_account_id}/credentials/versions
/v1/teams/{team_name}/okta_universal_directory_accounts/{okta_universal_directory_account_id}/rotate_password
/v1/teams/{team_name}/resource_groups/{resource_group_id}/projects/{project_id}/database_accounts
/v1/teams/{team_name}/resource_groups/{resource_group_id}/projects/{project_id}/database_accounts/{database_account_id}
/v1/teams/{team_name}/resource_groups/{resource_group_id}/projects/{project_id}/database_checkout_settings
/v1/teams/{team_name}/resource_groups/{resource_group_id}/projects/{project_id}/database_password_settings
/v1/teams/{team_name}/resource_groups/{resource_group_id}/projects/{project_id}/secret_folders/{secret_folder_id}/actions
/v1/teams/{team_name}/resource_groups/{resource_group_id}/projects/{project_id}/secrets/{secret_id}/actions
/v1/teams/{team_name}/resource_groups/{resource_group_id}/projects/{project_id}/secrets/{secret_id}/versions
/v1/teams/{team_name}/saas_apps/{saas_app_instance_id}/accounts/{saas_app_account_id}/credentials/versions
/v1/teams/{team_name}/saas_apps/{saas_app_instance_id}/accounts/{saas_app_account_id}/rotate_password
/v1/teams/{team_name}/secrets/move
/v1/teams/{team_name}/secrets/move-destinations
/v1/teams/{team_name}/server_accounts/{server_account_id}/reveal_credentials
/v1/teams/{team_name}/server_accounts/{server_account_id}/rotate_password
OPA roles:
- end_user
Generates a random password based on the request parameters provided
Security
bearerAuth
POST
curl -i -X POST \
'https://{org_name}.pam.okta.com/v1/teams/{team_name}/random_password' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"character_options": {
"digits": true,
"lower_case": true,
"special_characters": true,
"upper_case": true
},
"num_chars": 0,
"public_key": {
"alg": "EdDSA",
"crv": "Ed25519",
"d": "string",
"dp": "string",
"dq": "string",
"e": "string",
"k": "string",
"kid": "/regex/",
"kty": "EC",
"n": "string",
"p": "string",
"q": "string",
"qi": "string",
"use": "string",
"x": "string",
"x5c": [
"string"
],
"x5t": "string",
"x5t#S256": "string",
"x5u": "string",
"y": "string"
}
}'